"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const js_yaml_1 = require("js-yaml");
const parseYamlFiles_1 = require("../parseYamlFiles");
describe("parseYamlFiles", () => {
    it("duplicate-key", async () => {
        const result = await (0, parseYamlFiles_1.parseYamlFiles)([
            {
                filepath: "duplicate-key.yml",
                fileContents: `
key: hello
key: world`,
            },
        ]);
        if (result.didSucceed) {
            throw new Error("Parsing succeeded");
        }
        const failure = result.failures["duplicate-key.yml"];
        if (failure == null) {
            throw new Error("Parsing succeeded");
        }
        if (!(failure.error instanceof js_yaml_1.YAMLException)) {
            throw new Error("Error is not a YAMLException");
        }
        expect(failure.error.message).toMatch(/duplicated mapping key/);
    });
});
